/*
 STP Color Scheme:
	Gold: 		#E9BC03
	Turquoise: 	#00506b
	Light light blue: #E6F4F7
*/

html, body {
    min-height: 100vh;
    overflow-x: hidden;
    background: linear-gradient(to bottom, #ffffff 0%, #4a4a4a 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ffffff), color-stop(100%, #4a4a4a));
    background: -webkit-linear-gradient(top, #ffffff 0%, #4a4a4a 100%);
    font-size: 0.9rem;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    padding-right: 0px !important;
}

#privacy-policy {
    position: fixed;
    width: 100%;
    bottom: 0px;
    background-color: #c8c8c8;
}

.printable {
    max-width: 1145px;
}

.ff_printable {
    max-width: 950px;
}

.navbar-dark {
    padding-right: 0px !important;
}

#page-fadeout {
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

#page-fadeout.fade-out {
    opacity: 0;
    transition: none;
}

#menu {
    font-size: 20pt;
}

#menu-text {
    line-height: 0;
    font-size: 9px;
}

.supermenu {
    float: left;
    height: 100%;
    border-right: 1px solid #545454;
    border-left: 1px solid #545454;
    margin-top: 0;
    padding: 3px;
    color: #b7b7b7;
    font-size: 8pt;
    text-align: center;
}

.supermenu:hover {
    background-color: rgb(117, 117, 117);
    cursor: pointer;
}

#megamenu {
    background: #333;
}

.megamenu {
    position: static;
}

.megamenu .dropdown-menu {
    background: none;
    border: none;
    width: 100%;
    position: absolute;
    left: 0;
}

#login {
    margin-top: 29%;
    background: linear-gradient(to bottom, #7d7e7d 0%, #0e0e0e 98%, #F67F04 99%);
    background: -webkit-linear-gradient(top, #7d7e7d 0%, #0e0e0e 98%, #F67F04 99%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #7d7e7d), color-stop(98%, #0e0e0e), color-stop(99%, #F67F04));
    /*background: linear-gradient(to bottom, #7d7e7d 0%,#7f7f7f 98%,#ecc72d 99%);*/
    /*background: -webkit-linear-gradient(top, #7d7e7d 0%,#7f7f7f 98%,#ecc72d 99%);*/
    /*background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#7d7e7d), color-stop(98%,#7f7f7f), color-stop(99%,#ecc72d));*/
    /*padding-top: 20px;*/
    border-radius: 5px;
    border-top: 0;
    box-shadow: 10px 10px 5px #333333;
    color: white;
}

@media screen and (max-device-width: 1366px) {
    #login {
        margin-top: 10%;
    }
}

.text-login {
    background-color: transparent !important;
    color: #eeeeee;
    outline: none;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 1px solid #F67F04;
    box-shadow: none;
    text-align: center;
}

@-webkit-keyframes autofill {
    to {
        color: white;
        background: transparent;
    }
}

input.text-login:-webkit-autofill {
    -webkit-animation-name: autofill;
    -webkit-animation-fill-mode: both;
}

.text-login:focus {
    background: transparent;
    color: #eeeeee;
    outline: none;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 1px solid #F67F04;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.navblock {
    background: linear-gradient(to bottom, #525252 0%, #0e0e0e 98%, #F67F04 99%);
    background: -webkit-linear-gradient(top, #525252 0%, #0e0e0e 98%, #F67F04 99%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #525252), color-stop(98%, #0e0e0e), color-stop(99%, #F67F04));
    box-shadow: 0 5px 10px #333333;
    border-top: solid #F67F04 1px;
    padding: 0 0 0 10px;
    margin-bottom: 15px;
}

hr.section {
    border-top: 1px solid #c1c1c1;
    margin: 5px -10px;
}

.profile-logo {
    border-radius: 50%;
    height: 100%;
    margin-right: 15px;
}

.profile_main {
    background: white;
    height: 48px;
    width: 52px;
    z-index: 1;
}

.profile-container {
    min-width: 165px;
}

.gold {
    color: #F67F04 !important;
}

.bg-gold {
    background: #F67F04;
}

.text-green {
    color: #178e15;
}

.text-red {
    color: #ac352c;
}

.close {
    cursor: pointer;
}

[data-notify="progressbar"] {
    margin-bottom: 0px;
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 100%;
    height: 2px;
    background-color: #9b9b9b;
}

[data-notify="container"] {
    padding: 20px;
    font-size: 1.2em;
    z-index: 998;
    border: solid black 1px;
}

a[role=button] {
    cursor: pointer;
}

#ajaxLoader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    z-index: 1051;
}

#ajaxLoader > div {
    max-width: 500px;
    width: 15%;
    margin: 12% auto;
}

#ajaxLoader > div > img {
    width: 100%;
}

.select2-selection__rendered {
    line-height: 31px !important;
}

.select2-container .select2-selection--single {
    height: 35px !important;
}

.select2-selection__arrow {
    height: 34px !important;
}

/*.select2-container *:focus {*/
/*    outline: none;*/

/*}*/
/*.select2-container--focus {*/
/*    border: solid #80bdff 1px !important;*/
/*    border-radius: 6px;*/
/*    outline: 0 !important;*/
/*    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25) !important;*/
/*}*/
/*.select2-container--open {*/
/*    border: solid #80bdff 1px !important;*/
/*    border-radius: 6px;*/
/*    outline: 0 !important;*/
/*    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25) !important;*/
/*}*/

.dataTables_wrapper .dataTables_length {
    float: right;
}

.dataTables_wrapper .dataTables_filter {
    float: left;
    text-align: left;
}

.dataTables_filter input {
    border: solid #6c757d 1px;
    border-radius: 3px 0 0 3px;
    /*height: 21.6px;*/
    font-size: 1rem;
    line-height: 1.5;
    color: #6c757d;
    height: 34px;
    padding: .375rem;
}

table.dataTable tfoot th,
table.dataTable tfoot td {
    padding: 10px 10px 6px 10px;
}

.btn-fltr {
    border-radius: 0 3px 3px 0;
    /*margin-top: -2.5px;*/
    border-left: 0px;
    vertical-align: top !important;
    height: 34px;
}

.btn-fltr-ml {
    border-radius: 3px 3px 3px 3px;
    /*margin-top: -2.5px;*/
    vertical-align: top !important;
    height: 34px;
}

.radio-label > span {
    position: relative;
    top: -4px;
}

.accord {
    background-color: #f4f4f4;
}

.accord:hover {
    background-color: #eeeeee;
    cursor: pointer;
}

#back_to_top {
    display: none;
    position: fixed;
    bottom: 5px;
    right: 25px;
}

.profile-icon.selected {
    -webkit-filter: grayscale(0%); /* Safari 6.0 - 9.0 */
    filter: grayscale(0%);
}

.profile-icon {
    -webkit-filter: grayscale(100%); /* Safari 6.0 - 9.0 */
    filter: grayscale(100%);
    cursor: pointer;
}

.profile-icon:hover {
    -webkit-filter: grayscale(0%); /* Safari 6.0 - 9.0 */
    filter: grayscale(0%);
}

/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 53px;
    height: 25px;
    top: 4px;
}

/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider {
    background-color: #30b426;
}

input:focus + .slider {
    box-shadow: 0 0 1px #30b426;
}

input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}


/* The switch - the box around the slider */
.switch-sm {
    position: relative;
    display: inline-block;
    width: 45px;
    height: 18px;
    top: 4px;
}

/* Hide default HTML checkbox */
.switch-sm input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider-sm {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider-sm:before {
    position: absolute;
    content: "";
    height: 14px;
    width: 14px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider-sm {
    background-color: #30b426;
}

input:focus + .slider-sm {
    box-shadow: 0 0 1px #30b426;
}

input:checked + .slider-sm:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider-sm.round {
    border-radius: 34px;
}

.slider-sm.round:before {
    border-radius: 50%;
}


/* The switch - the box around the slider */
.switch-md {
    position: relative;
    display: inline-block;
    width: 48px;
    height: 20px;
    top: 4px;
}

/* Hide default HTML checkbox */
.switch-md input {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.slider-md {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider-md:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked + .slider-md {
    background-color: #30b426;
}

input:focus + .slider-md {
    box-shadow: 0 0 1px #30b426;
}

input:checked + .slider-md:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.slider-md.round {
    border-radius: 34px;
}

.slider-md.round:before {
    border-radius: 50%;
}


.pre-post-img {
    width: 100%;
    padding-top: 200px;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
    background-color: #dcdcdc;
}

.box__dragndrop,
.box__uploading,
.box__success,
.box__error {
    display: none;
}

.box.has-advanced-upload {
    background-color: white;
    outline: 2px dashed black;
    outline-offset: -10px;
}

.box.has-advanced-upload .box__dragndrop {
    display: inline;
}

.message_box {
    display: inline-block;
    background-color: #e0e0e0;
    border-radius: 8px 8px 8px 0;
    padding: 7px;
    font-size: 1.1em;
}

.message_box_own {
    background-color: #c9ffc1;
    border-radius: 8px 8px 0 8px;
    align-self: end;
}

.message_box_time {
    font-size: 0.7em;
    color: #808080;
}

.read_blue {
    color: #238aff;
}

.pointer-curser {
    cursor: pointer;
}

/**Input validations*/
.input-error {
    border-color: #e96666 !important;
    outline: 0 !important;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(233, 102, 102, 0.6) !important;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px rgba(233, 102, 102, 0.6) !important;
}

.input-error-text {
    float: right;
}

input.form-control-checkbox {
    display: inline-block;
    height: 100%;
    width: 36px;
}

.hoverable:hover {
    background-color: #b3b3b3;
    color: #214eb1;
}

.dropzone {
    border: 2px dashed #FFD300;
    border-radius: 10px;
    padding: 40px;
    text-align: center;
    color: #6c757d;
    cursor: pointer;
}
.dropzone.dragover {
    background: #e9f7fe;
    border-color: #0056b3;
    color: #0056b3;
}
